blob: 9c4a18826c1ea30c2c3990552f849e48b7b5a60d [file] [log] [blame]
DEFINED_PHASES=configure install postinst postrm preinst prepare setup
DEPEND=>=dev-libs/boost-1.34:= >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),python_single_target_python2_7(+)] qt4? ( dev-qt/qtgui:4 dev-qt/qtcore:4 dev-qt/qtsvg:4 ) qt5? ( dev-qt/qtgui:5 dev-qt/qtcore:5 dev-qt/qtwidgets:5 dev-qt/qtx11extras:5 dev-qt/qtsvg:5 dev-qt/qtconcurrent:5 ) virtual/pkgconfig nls? ( sys-devel/gettext ) >=sys-apps/sed-4 X? ( x11-apps/mkfontdir media-fonts/encodings )
DESCRIPTION=WYSIWYM frontend for LaTeX, DocBook, etc.
EAPI=5
HOMEPAGE=http://www.lyx.org/
IUSE=cups debug nls +latex monolithic-build html rtf dot docbook dia subversion rcs svg gnumeric +hunspell aspell enchant +qt4 qt5 linguas_ar linguas_ca linguas_cs linguas_da linguas_de linguas_el linguas_en linguas_es linguas_eu linguas_fi linguas_fr linguas_gl linguas_he linguas_hu linguas_ia linguas_id linguas_it linguas_ja linguas_nb linguas_nn linguas_pl linguas_pt_BR linguas_pt_PT linguas_ro linguas_ru linguas_sk linguas_sr linguas_sv linguas_tr linguas_uk linguas_zh_CN linguas_zh_TW X python_targets_python2_7
KEYWORDS=~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos ~x86-macos
LICENSE=GPL-2
RDEPEND=>=dev-libs/boost-1.34:= >=dev-lang/python-2.7.5-r2:2.7 >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,-python_single_target_jython2_7(-),-python_single_target_pypy(-),-python_single_target_pypy3(-),-python_single_target_python3_3(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),python_single_target_python2_7(+)] qt4? ( dev-qt/qtgui:4 dev-qt/qtcore:4 dev-qt/qtsvg:4 ) qt5? ( dev-qt/qtgui:5 dev-qt/qtcore:5 dev-qt/qtwidgets:5 dev-qt/qtx11extras:5 dev-qt/qtsvg:5 dev-qt/qtconcurrent:5 ) dev-texlive/texlive-fontsextra || ( media-gfx/imagemagick[png] media-gfx/graphicsmagick[png] ) cups? ( net-print/cups ) latex? ( app-text/texlive app-text/ghostscript-gpl app-text/noweb app-text/dvipng dev-tex/dvipost dev-tex/chktex app-text/ps2eps dev-texlive/texlive-latexextra dev-texlive/texlive-pictures dev-texlive/texlive-science dev-texlive/texlive-genericextra dev-texlive/texlive-fontsrecommended || ( dev-tex/latex2html dev-tex/tth dev-tex/hevea dev-tex/tex4ht[java] ) ) html? ( dev-tex/html2latex ) rtf? ( dev-tex/latex2rtf app-text/unrtf dev-tex/html2latex ) linguas_he? ( dev-tex/culmus-latex ) docbook? ( app-text/sgmltools-lite ) dot? ( media-gfx/graphviz ) dia? ( app-office/dia ) subversion? ( dev-vcs/subversion ) rcs? ( dev-vcs/rcs ) svg? ( || ( media-gfx/imagemagick[svg] media-gfx/graphicsmagick[svg] ) || ( gnome-base/librsvg media-gfx/inkscape ) ) gnumeric? ( app-office/gnumeric ) hunspell? ( app-text/hunspell ) aspell? ( app-text/aspell ) enchant? ( app-text/enchant )
REQUIRED_USE=python_targets_python2_7 qt4? ( !qt5 ) qt5? ( !qt4 )
SLOT=0
SRC_URI=ftp://ftp.lyx.org/pub/lyx/stable/2.2.x/lyx-2.2.1.tar.xz ftp://ftp.lyx.org/pub/lyx/devel/lyx-2.2/lyx-2.2.1/lyx-2.2.1.tar.xz
_eclasses_=eutils b83a2420b796f7c6eff682679d08fe25 fdo-mime 92d07846ea8ea54172f8c0112a47ae3d flag-o-matic 8632fcd33a047954f007dee9a137bdcc font cd7790315ca5b8c505e1e0513df6acce gnome2-utils c6dcdf3a2c22b578b16adb945dc85c35 multilib 165fc17c38d1b11dac2008280dab6e80 python-single-r1 2ebea8fbab356d63110245129a67a6dd python-utils-r1 1797277ea0e7cee5c7de7ce74cf8acd8 toolchain-funcs 6198c04daba0e1307bd844df7d37f423 xdg-utils e2b2bd56125ce8cf59ce30c642b59d48
_md5_=16bf274502a4ac83110ea54721715273